commit:     4342f6705163216dbb949d51fd4f34e3f7d439f9
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Thu Dec 26 10:15:29 2019 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Thu Dec 26 10:23:10 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4342f670

dev-php/PHPMailer: bump to v6.1.4

Package-Manager: Portage-2.3.83, Repoman-2.3.20
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 dev-php/PHPMailer/Manifest               |  1 +
 dev-php/PHPMailer/PHPMailer-6.1.4.ebuild | 73 ++++++++++++++++++++++++++++++++
 2 files changed, 74 insertions(+)

diff --git a/dev-php/PHPMailer/Manifest b/dev-php/PHPMailer/Manifest
index 88c07819437..cfc0634baad 100644
--- a/dev-php/PHPMailer/Manifest
+++ b/dev-php/PHPMailer/Manifest
@@ -2,3 +2,4 @@ DIST PHPMailer-5.2.27.tar.gz 159227 BLAKE2B 
e5ff2dd62cb12396bee58f0dce2fec3148dc
 DIST PHPMailer-6.0.7.tar.gz 91706 BLAKE2B 
1d3d22dea463040840c1259cfbdbcf2da59cd31e915ea8a73bb9981844e9ae6e32ca1e9a40a576fedcd8c0a049f92f9b5422040e12dcc66b2c555dbd36126c67
 SHA512 
0d00ff177fc82c3cc54ed04cfd333739c9346f89dba1ccb8bdcccc01abd3de4c55c96dbd51cc0f4cc76d6690acd22c6bb4f632dcfb785ec1d0a32a8751ddf6e9
 DIST PHPMailer-6.1.2.tar.gz 93635 BLAKE2B 
f8a12415a0e24697c84de06782f78a1cc37785ad0a1764dfd53470ca1ac5a8d4dffc418794b7627d2702b16f68ea83a93b362b7659a95e0c0a84e1a9b66b7b9b
 SHA512 
3192f77f7d0158f30c7ea4484c86c279e0563e629702901f66901003c384101c57f7482feb14fc61927afaae8adea5d8fc34bd07c7058f68f6144303ce235fd5
 DIST PHPMailer-6.1.3.tar.gz 93690 BLAKE2B 
08f653520a2b7819470cbb5cf1f43480cdcab51fe452f4831df47269f4223cfeb7016e41e8de75c11b15a04fa278fe08439f3c022af9088a5c8f5e4259ae7ebb
 SHA512 
195155e49b29740422e75d7dbcf082cf8b26c87dad7b5473b9d55267e31af3847cb65a1c79f73225fa79080428d8c7516f5cd4d083824fa42f3b22a3bec8c34e
+DIST PHPMailer-6.1.4.tar.gz 93915 BLAKE2B 
9f4ec584c57d70c4cbbc33c4ba85469579a00ebbf4aa4680b6f965ad37339b923386e371c01b673bca8c0de6f6ed123b6a1456541b1c472c6f0c93592c7c9e96
 SHA512 
f13cb959d89c64392ecff4cceaa650c80310f854aaff1c09144727aeb7f50c7ebeaaf7a2be488fa796b5acd1c42c4d13204b0410bc579d2e6aec98feee3b21ef

diff --git a/dev-php/PHPMailer/PHPMailer-6.1.4.ebuild 
b/dev-php/PHPMailer/PHPMailer-6.1.4.ebuild
new file mode 100644
index 00000000000..d753eb1c174
--- /dev/null
+++ b/dev-php/PHPMailer/PHPMailer-6.1.4.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Full-featured email creation and transfer class for PHP"
+HOMEPAGE="https://github.com/PHPMailer/PHPMailer";
+SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+# To help out the Composer children, the tests and examples are missing
+# from the release tarballs.
+IUSE="doc idn ssl"
+
+# The ctype and filter extensions get used unconditionally, with no
+# fallback and no "extension missing" exception. All of the other
+# extensions are technically optional, depending on how you use
+# PHPMailer and whether or not you're willing to settle for fallback
+# implementations.
+#
+# The insane dependency string is to prevent the ctype and filter
+# extensions from being provided by one version (i.e. slot) of PHP,
+# while intl and unicode are provided by another.
+RDEPEND="
+       ssl? (
+               idn?  ( dev-lang/php:*[ctype,filter,intl,ssl,unicode] )
+               !idn? ( dev-lang/php:*[ctype,filter,ssl] )
+       )
+       !ssl? (
+               idn?  ( dev-lang/php:*[ctype,filter,intl,unicode] )
+               !idn? ( dev-lang/php:*[ctype,filter] )
+       )"
+BDEPEND="doc? ( dev-php/phpDocumentor )"
+
+src_prepare() {
+       # OAuth.php relies on a (now non-nonexistent) autoloader. We remove
+       # it early so that we don't generate documentation for it later on.
+       rm src/OAuth.php || die 'failed to remove src/OAuth.php'
+       eapply_user
+}
+
+src_compile(){
+       if use doc; then
+               phpdoc --filename="src/*.php" \
+                          --target="./html" \
+                          --cache-folder="${T}" \
+                          --title="${PN}" \
+                          --sourcecode \
+                          --force \
+                          --progressbar \
+                          || die "failed to generate API documentation"
+       fi
+}
+
+src_install(){
+       # The PHPMailer class loads its language files
+       # using a relative path, so we need to keep the "src" here.
+       insinto "/usr/share/php/${PN}"
+       doins -r language src
+
+       dodoc README.md SECURITY.md
+       use doc && dodoc -r html/*
+}
+
+pkg_postinst(){
+       elog "${PN} has been installed in /usr/share/php/${PN}/."
+       elog "Upstream no longer provides an autoloader, so you will need"
+       elog "to include each source file (for example: PHPMailer.php,"
+       elog "Exception.php,...) that you need."
+}

Reply via email to